[arch-commits] Commit in gnome-python-extras/repos (2 files)

Jan de Groot jgc at archlinux.org
Sun May 4 16:41:56 EDT 2008


    Date: Sunday, May 4, 2008 @ 16:41:55
  Author: jgc
Revision: 1310

Fix conflict

Modified:
  gnome-python-extras/repos/extra-x86_64/	(properties)
  gnome-python-extras/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   26 +++++++++-----------------
 1 file changed, 9 insertions(+), 17 deletions(-)


Property changes on: gnome-python-extras/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gnome-python-extras/trunk:1
   + /gnome-python-extras/trunk:1-1308

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-05-04 20:41:32 UTC (rev 1309)
+++ extra-x86_64/PKGBUILD	2008-05-04 20:41:55 UTC (rev 1310)
@@ -2,29 +2,21 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-python-extras
-pkgver=2.14.3
+pkgver=2.19.1
 pkgrel=1
 pkgdesc="Gnome Python interfaces for libraries not part of the core platform"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
-depends=('gnome-python>=2.18.0')
-makedepends=('libgnomeprintui' 'gtksourceview' 'gnome-media' 'libgda'
-             'gnome-panel' 'libgtop' 'libgtkhtml' 'gtkspell' 'gdl'
-	     'xulrunner' 'totem-plparser' 'libgksu')
-options=('nolibtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.14/gnome-python-extras-${pkgver}.tar.bz2)
+depends=('gnome-python>=2.22.0')
+makedepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner' 'libgksu' 'pkgconfig')
+options=('!libtool')
+source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.19/gnome-python-extras-${pkgver}.tar.bz2)
 url="http://www.daa.com.au/~james/pygtk/"
-md5sums=('7d3414838ccb94cfcecc0a48f68c012d')
+md5sums=('08896c63d71ce44d20fafbaf9c0edc78')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-  [ -z "${MOZ_PLUGIN_DIR}" ] && . /etc/profile.d/mozilla-common.sh
-  
   cd ${startdir}/src/gnome-python-extras-${pkgver}
-  ./configure --prefix=/usr --with-gtkmozembed=xulrunner
-  #CFLAGS workaround for bad gnome-media includes
-  make CFLAGS+=-I/opt/gnome/include \
-       LDFLAGS+=-R/opt/mozilla/lib/xulrunner || return 1 
-  make DESTDIR=${startdir}/pkg install
-  rm -rf ${startdir}/pkg/usr/share/gtk-doc
+  ./configure --prefix=/usr --with-gtkmozembed=xulrunner || return 1
+  make LDFLAGS+=-R/usr/lib/xulrunner || return 1 
+  make DESTDIR=${startdir}/pkg install || return 1
 }





More information about the arch-commits mailing list